Jupiter - Blad #1672

Zadanie # 1611 (Rozwigzany): utworzy¢ serwis do importu danych z plikow
Nie dziata upload plikéw na jetty
Description

Podczas uploadu leci btad fileNotfoundexception. Jest to zwigzane z prébg wykonania metody transferTo do pliku znajdujgcego sie w
zlym katalogu

http://stackoverflow.com/questions/10847994/spring-mvc-save-uploaded-multipartfile-to-specific-folder

/tmp/jetty-0.0.0.0-9080-ROOT.war-_-any-8743735507500154088.dir/tmp/UPLOAD_3940596405595947233/bwmeta.xml (No such file
or directory)

at java.io.FileOutputStream.openO(Native Method)

at java.io.FileOutputStream.open(FileOutputStream.java:270)

at java.io.FileOutputStream.<init>(FileOutputStream.java:213)

at java.io.FileOutputStream.<init>(FileOutputStream.java:162)

at org.eclipse.jetty.util.MultiPartinputStreamParser$MultiPart.write(MultiPartinputStreamParser.java:262)

at
org.springframework.web.multipart.support.StandardMultipartHttpServletRequest$StandardMultipartFile.transferTo(StandardMultipartH
HttpServletRequest.java:301)

at pl.edu.icm.jupiter.services.upload.TempFolderFileStorageServicelmpl.store(TempFolderFileStorageServicelmpl.java:23)

at
pl.edu.icm.jupiter.services.upload. TempFolderFileStorageServicelmpl$$FastClassBySpringCGLIB$$fb2cc50b.invoke(<generated>)

ttpServ

Associated revisions

Revision ec25fb71 - 2017-05-15 14:13 - Lukasz Waskiewicz

refs #1672 przeniesienie do web

wcigz nie dziata upload na jetty

Revision 9043feal - 2017-05-16 12:30 - Lukasz Waskiewicz

refs #1672 poprawka uploadu plikéw

History

#1 - 2017-05-16 12:31 - Lukasz Waskiewicz
- Status changed from Nowy to Rozwigzany
- Assignee changed from tukasz Waskiewicz to Michat Komar
http://stackoverflow.com/questions/10847994/spring-mvc-save-uploaded-multipartfile-to-specific-folder

- % Done changed from 0 to 100
- Rewizja rozwigzania GIT set to 9043fea04af0b13962adf1bbfdf7bb8d2d30807b

#2 - 2017-05-18 11:13 - Michat Komar
- Status changed from Rozwigzany to Zamkniety
- Rewizja testéw GIT set to 5ed9bcb0

Ok - tylko streamy trzeba zamyka¢ w try catch
